from .models import TicketType, TaskList
from django.dispatch import receiver
from django.db.models.signals import post_migrate
from django.contrib.auth.models import Group


@receiver(post_migrate)
def create_lists(sender, **kwargs):
    TaskList.objects.get_or_create(name='MS-ADMIN Активация партнеров NEG_REQUEST', slug='partner_activation', group=Group.objects.get(name='METASERVICE-ADMIN'))
    TaskList.objects.get_or_create(name='MS-ADMIN права в сервисе ACCESS_REQUEST', slug='metaservice_roles', group=Group.objects.get(name='METASERVICE-ADMIN'))
    TaskList.objects.get_or_create(name='MS-ADMIN проверка документов ST_REQUEST', slug='metaservice_partner_docs', group=Group.objects.get(name='METASERVICE-ADMIN'))
    TaskList.objects.get_or_create(name='MS-SUPER активность пользователей ST_REQUEST', slug='activity_control', group=Group.objects.get(name='METASERVICE-SUPERVISOR'))
    TaskList.objects.get_or_create(name='MS-SUPER оперативный доступ ST_REQUEST', slug='operational_control', group=Group.objects.get(name='METASERVICE-SUPERVISOR'))
    TaskList.objects.get_or_create(name='MS-SUPER опер доступ экстра ACCESS_REQUEST', slug='operational_control_extra', group=Group.objects.get(name='METASERVICE-SUPERVISOR'))
    TaskList.objects.get_or_create(name='MS-SUPER права сервиса ST_REQUEST', slug='access_control', group=Group.objects.get(name='METASERVICE-SUPERVISOR'))
    TaskList.objects.get_or_create(name='MS-SUPER проверка документов ST_REQUEST', slug='metaservice_partner_docs', group=Group.objects.get(name='METASERVICE-SUPERVISOR'))
    TaskList.objects.get_or_create(name='MS-SUP входящие обычные заявки ST_REQUEST', slug='service-inbox', group=Group.objects.get(name='METASERVICE-SUPPORT'))
    TaskList.objects.get_or_create(name='MS-SUP Заявки на УСЛУГИ сервиса SERVICE_REQUEST', slug='service_request', group=Group.objects.get(name='METASERVICE-SUPPORT'))
    TaskList.objects.get_or_create(name='MS-TSUP входящие тех заявки ST_REQUEST', slug='service-inbox-tech', group=Group.objects.get(name='METASERVICE-TECHSUPPORT'))
    TaskList.objects.get_or_create(name='P-ADMIN документы исполнителей ST_REQUEST', slug='provider_docs', group=Group.objects.get(name='PARTNER-ADMIN'))
    TaskList.objects.get_or_create(name='P-ADMIN документы ресурсов ST_REQUEST', slug='resource_docs', group=Group.objects.get(name='PARTNER-ADMIN'))
    TaskList.objects.get_or_create(name='P-ADMIN права в партнерке ACCESS_REQUEST', slug='partner_roles', group=Group.objects.get(name='PARTNER-ADMIN'))
    TaskList.objects.get_or_create(name='P-SUPER активность внутри партнера ST_REQUEST', slug='activity_control', group=Group.objects.get(name='PARTNER-SUPERVISOR'))
    TaskList.objects.get_or_create(name='P-SUPER документы исполнителей ST_REQUEST', slug='provider_docs', group=Group.objects.get(name='PARTNER-SUPERVISOR'))
    TaskList.objects.get_or_create(name='P-SUPER документы ресурсов ST_REQUEST', slug='resource_docs', group=Group.objects.get(name='PARTNER-SUPERVISOR'))
    TaskList.objects.get_or_create(name='P-SUPER доступ внутри партнера ST_REQUEST', slug='access_control', group=Group.objects.get(name='PARTNER-SUPERVISOR'))
    TaskList.objects.get_or_create(name='P-SUPER оперативный доступ ST_REQUEST', slug='operational_control', group=Group.objects.get(name='PARTNER-SUPERVISOR'))
    TaskList.objects.get_or_create(name='P-SUPER оперативный доступ экстра ST_REQUEST', slug='operational_control_extra', group=Group.objects.get(name='PARTNER-SUPERVISOR'))
    TaskList.objects.get_or_create(name='P-SUPER ручной аппрув заявок ACCESS-REQUEST', slug='service_request_edit', group=Group.objects.get(name='PARTNER-SUPERVISOR'))
    TaskList.objects.get_or_create(name='P-TSUP входящие тех заявки ST_REQUEST', slug='partner-inbox-tech', group=Group.objects.get(name='PARTNER-TECHSUPPORT'))
